Skip to main content
GET
Get a version of an evidence library document
links.download is a temporary link to the file. When the link expires, call this endpoint again to get a new one. Returns 404 when the document or the version does not exist, when your credentials cannot access the document, or when the evidenceLibraryEnabled feature flag is off.

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Path Parameters

documentId
string<uuid>
required

Identifier of the resource in Payrails.

version
integer<int64>
required

Number of the version.

Required range: x >= 1

Response

The version with a download link for its file.

evidenceId
string<uuid>
required

ID of the stored file of this version.

version
integer<int64>
required
Required range: x >= 1
validFrom
string<date-time>
required
deprecated

Deprecated. Payrails ignores it.

contentType
string
required
Example:

"application/pdf"

contentLength
integer
required
createdAt
string<date-time>
required
changeNote
string
archivedAt
string<date-time>

Set when the version is archived. Payrails never attaches an archived version.

Returned only by Get document (on each item of versions) and Get version.